aboutsummaryrefslogtreecommitdiffstats
path: root/mayor-installer/install.d/30php.sh
diff options
context:
space:
mode:
Diffstat (limited to 'mayor-installer/install.d/30php.sh')
-rwxr-xr-xmayor-installer/install.d/30php.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/mayor-installer/install.d/30php.sh b/mayor-installer/install.d/30php.sh
new file mode 100755
index 00000000..49000c68
--- /dev/null
+++ b/mayor-installer/install.d/30php.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+#
+
+cat <<EOF
+A PHP memória limit beállítása
+
+Az alapértelmezett 16MB-os memória a rendszer futtatásához a
+legtöbb esetben elég, de egyes esetekben (például a nyomtatványok
+generálásakor) kevésnek bizonyul. Ezért a telepítő ezt a küszöböt
+256MB-ra emeli. Az eredeti php.ini állományról másolat készül
+php.ini.mayor néven.
+
+EOF
+
+read -n 1 -p "A php.ini-t módosíthatom? (i/N)" -s DO
+if [ "$DO" != "i" ]; then echo -e "\nNem módosítom a php.ini-t.\n"; exit 1; fi
+
+exit 1
+
+echo -n " A PHP memória limit beállítása: "
+if [ ! -e /etc/php5/apache2/php.ini.mayor ]; then
+ mv /etc/php5/apache2/php.ini /etc/php5/apache2/php.ini.mayor
+fi
+cat /etc/php5/apache2/php.ini.mayor | sed "s/memory_limit/memory_limit = 256M ; old value: /" > /etc/php5/apache2/php.ini
+echo 256M
+
+echo " Az web szerver újraindítása"
+/etc/init.d/apache2 restart
+